# Request payment by collection

Get payment - Collection

```
- Url: api/v1/global/collection/request-payment
- Method: POST
- Authorization: Bearer + access_token
- Content-Type: application/json
```

Parameters:

<table><thead><tr><th width="186.66666666666669">Name</th><th width="319">Description</th><th>Note</th></tr></thead><tbody><tr><td>CurrencyCode</td><td>String. Currency code</td><td>Required</td></tr><tr><td>OrderID</td><td>String. External order id</td><td>Required</td></tr><tr><td>Amount</td><td>Number. Amount of the payment</td><td>Required</td></tr><tr><td>Method</td><td>Transaction Method (MOBILE_MONEY/ CARD/ BANK/ CRYPTO/NETWALLET_PAY)</td><td>Required. Currently just open for MOBILE_MONEY and NETWALLET_PAY</td></tr><tr><td>MethodType</td><td>Provider type (MOMO, ORANGE_MONEY, EU)</td><td>Required if Method is MOBILE_MONEY and CountryCode is CM</td></tr><tr><td>CountryCode</td><td>The ISO2 code of the countries supported</td><td>Required <a href="/pages/kra9FL1DFDBP7Bu9e5jD">get list here</a></td></tr><tr><td>MethodProvider</td><td>Provider id get from getProvider endpoint</td><td>Required <a href="/pages/GlmZQhQpCQoIcQIYO2ux">get list here</a></td></tr><tr><td>PhoneNumber</td><td>Phone number associated to the order</td><td>Required</td></tr><tr><td>Description</td><td>Transaction description</td><td>Optional</td></tr><tr><td>CallbackUrl</td><td>This url will be called after transaction status changes</td><td>Optional</td></tr><tr><td>Hash</td><td>The hashing data. <a href="/pages/Inn7FJikZH60sE7D0VLF#payment">Get the format here</a></td><td>Required if use hashing is enabled.</td></tr></tbody></table>

Example Response:

```json
{
    "statusCode": 200,
    "data": "MM123456789",
    "message": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.netwalletpay.com/netwallet-api-docs/payment-process/request-payment-by-collection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
